MuleMessageService (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.bpm.jbpm.MuleMessageService class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.bpm.jbpm
Class MuleMessageService

    java.lang.Object
      org.mule.transport.bpm.jbpm.MuleMessageService

All Implemented Interfaces:
  Serializable, org.jbpm.msg.MessageService, org.jbpm.svc.Service

    public class MuleMessageService

extends Object
implements org.jbpm.msg.MessageService

jBPM has built-in support for messaging via the org.jbpm.msg.MessageService interface, the idea being that one can plug in a JMS implementation and send messages from a process using a standard "" construct. If Mule were to implement this interface, one could make Mule the standard MessageService instead of JMS, which would make the Mule/jBPM integration more "seamless". This is an unfinished work, see MULE-1219

See Also:
  Serialized Form

Field Summary
`protected static MessageService` | `proxy`

Constructor Summary
`MuleMessageService()`

Method Summary
`void` | `close()`
`MuleMessage` | `generateMessage(String endpoint, Object payloadObject, Map messageProperties, boolean synchronous)`
`void` | `resumeMessages(org.jbpm.graph.exe.Token token)`
`void` | `send(org.jbpm.job.Job job)`
`static void` | `setMessageService(MessageService msgService)`
`void` | `suspendMessages(org.jbpm.graph.exe.Token token)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proxy

    protected static MessageService proxy

Constructor Detail

### MuleMessageService

    public MuleMessageService()

Method Detail

### setMessageService

    public static void setMessageService(MessageService msgService)

### generateMessage

    public MuleMessage generateMessage(String endpoint,
                                       Object payloadObject,
                                       Map messageProperties,
                                       boolean synchronous)
                                throws Exception

  Throws:
    `Exception`

### send

    public void send(org.jbpm.job.Job job)

  Specified by:
    `send` in interface `org.jbpm.msg.MessageService`

### suspendMessages

    public void suspendMessages(org.jbpm.graph.exe.Token token)

### resumeMessages

    public void resumeMessages(org.jbpm.graph.exe.Token token)

### close

    public void close()

  Specified by:
    `close` in interface `org.jbpm.msg.MessageService`
  Specified by:
    `close` in interface `org.jbpm.svc.Service`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.